# Set HTTP path patterns

Users can provide known HTTP endpoints which are called from their application to reduce the number of duplicate root mocks and test cases we record.

Hypertest does try to identify path params using its own in-house algorithm, but there might be some cases where the path params are not that generic and very customized to your use case.

In such cases you should provide the know patterns for HTTP endpoints that your application calls.

```javascript
htSdk.setOutboundHttpRequestPathPatterns([
  '/test/:custom_id'
]);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-v2.hypertest.co/user-guides/node.js-sdk/set-http-path-patterns.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
